Pulp 2.19 Release Notes

Pulp 2.19.0

New Features

See plugins’ release notes for the new features being introduced.

Bug Fixes

  • Documentation on how to install MongoDB 3.x is added. It is recommended to use MongoDB >= 3.2.

See the full list of bugs fixed in 2.19.0

Upgrade instructions

Upgrade using the normal process:

$ sudo systemctl stop httpd pulp_workers pulp_resource_manager pulp_celerybeat pulp_streamer goferd
$ sudo yum upgrade
$ sudo -u apache pulp-manage-db
$ sudo systemctl start httpd pulp_workers pulp_resource_manager pulp_celerybeat pulp_streamer goferd

pulp_streamer and goferd should be omitted if those services are not installed.